from enne2engine.render import SDL2Renderer
from enne2engine.controls import UserControls
import sys
import os
import json



class GameEngine(UserControls,SDL2Renderer):
    def __init__(self, map, game):
        super().__init__()
        self.map = map
        self.game = game
        self.graphics = SDL2Renderer(game, self)

